Subject: Re: [PATCH 1/2 v1.03] Add support for DWC OTG HCD function.

From: Greg KH <[email-masked]>
Date: Thu, 29 Jul 2010 18:26:50 -0700

On Thu, Jul 29, 2010 at 06:19:25PM -0700, Feng Kan wrote:
> Hi Greg:
> 
> On Thu, Jul 29, 2010 at 5:50 PM, Greg KH <[email-masked]> wrote:
> > On Thu, Jul 29, 2010 at 05:14:59PM -0700, Feng Kan wrote:
> >> Hi Greg:
> >>
> >> We will change to a BSD 3 clause license header. Our legal counsel is
> >> talking to Synopsis to make this change.
> >
> > Why BSD?  You do realize what that means when combined within the body
> > of the kernel, right?
> >
> 
> FKAN: We will shoot for a dual BSD/GPL license such as the one in the HP
>            Hil driver.

What specific driver is this?

And are you sure that all of the contributors to the code agree with
this licensing change?  Are you going to require contributors to
dual-license their changes?

If so, why keep it BSD, what does that get you?

> > Are you going to be expecting others to contribute back to the code
> > under this license, or will you accept the fact that future
> > contributions from the community will cause the license to change?

You didn't answer this question, which is a very important one before I
can accept this driver.

> >> We will resubmit once this is in place. Please let me know if you have
> >> any additional concerns.
> >
> > My main concern is that you, and everyone else involved in the driver,
> > never considered the license of the code in the first place and expected
> > the kernel community to accept it as-is, placing the problem on us.
> 
> FKAN: Please don't think this is the case, we gone through this exercise
>           with Denx.

What is "Denx"?

> We had legal looking into the header before submission
>           to them and the kernel.

Then what happened here?  Just curious as to how the driver was public
for so long before someone realized this.

> > What will be done in the future to prevent this from happening again?
> 
> FKAN: agreed, once bitten .... :)

That didn't answer the question :)

thanks,

greg k-h